package com.mortals.xhx.module.classify.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:ClassifyRelation
* date: 2021-8-19 23:28:22
*/
public class ClassifyRelationEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1629386902235L;


    /**
    * 一件事分类表id
    */
    private Long classifyId;

    /**
    * 基础信息json
    */
    private String basicsJson;

    /**
    * 申请条件json
    */
    private String acceptJson;

    /**
    * 办理流程json
    */
    private String flowlimitJson;

    /**
    * 最终选择的材料id one_datum
    */
    private String oneDatumIds;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public ClassifyRelationEntity(){

    }
    /**
    * 获取 一件事分类表id
    * @return classifyId
    */
    public Long getClassifyId() {
        return this.classifyId;
    }
    /**
    * 设置 一件事分类表id
    * @param classifyId
    */
    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }
    /**
    * 获取 基础信息json
    * @return basicsJson
    */
    public String getBasicsJson() {
        return this.basicsJson;
    }
    /**
    * 设置 基础信息json
    * @param basicsJson
    */
    public void setBasicsJson(String basicsJson) {
        this.basicsJson = basicsJson;
    }
    /**
    * 获取 申请条件json
    * @return acceptJson
    */
    public String getAcceptJson() {
        return this.acceptJson;
    }
    /**
    * 设置 申请条件json
    * @param acceptJson
    */
    public void setAcceptJson(String acceptJson) {
        this.acceptJson = acceptJson;
    }
    /**
    * 获取 办理流程json
    * @return flowlimitJson
    */
    public String getFlowlimitJson() {
        return this.flowlimitJson;
    }
    /**
    * 设置 办理流程json
    * @param flowlimitJson
    */
    public void setFlowlimitJson(String flowlimitJson) {
        this.flowlimitJson = flowlimitJson;
    }
    /**
    * 获取 最终选择的材料id one_datum
    * @return oneDatumIds
    */
    public String getOneDatumIds() {
        return this.oneDatumIds;
    }
    /**
    * 设置 最终选择的材料id one_datum
    * @param oneDatumIds
    */
    public void setOneDatumIds(String oneDatumIds) {
        this.oneDatumIds = oneDatumIds;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ClassifyRelationEntity) {
            ClassifyRelationEntity tmp = (ClassifyRelationEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",classifyId:").append(getClassifyId())
                .append(",basicsJson:").append(getBasicsJson())
                .append(",acceptJson:").append(getAcceptJson())
                .append(",flowlimitJson:").append(getFlowlimitJson())
                .append(",oneDatumIds:").append(getOneDatumIds())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.classifyId = null;

         this.basicsJson = null;

         this.acceptJson = null;

         this.flowlimitJson = null;

         this.oneDatumIds = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}